cdac.medinfo.sdk.hl7282.baselibs.segments

## Class AUT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.AUT

- All Implemented Interfaces:
    ISegment

      public class AUT
      extends Segment

  AUT - Authorization Information Segment

  This segment represents an authorization or a pre-authorization for a referred procedure or requested service by the payor covering the patient's health care.

  Represents an HL7 AUT message segment. This segment has the following fields:

  AUT-1: Authorizing Payor, Plan ID (CWE)Required
  AUT-2: Authorizing Payor, Company ID (CWE)Optional
  AUT-3: Authorizing Payor, Company Name (ST)Optional
  AUT-4: Authorization Effective Date (DTM)Optional
  AUT-5: Authorization Expiration Date (DTM)Optional
  AUT-6: Authorization Identifier (EI)Conditional
  AUT-7: Reimbursement Limit (CP)Optional
  AUT-8: Requested Number of Treatments (CQ)Optional
  AUT-9: Authorized Number of Treatments (CQ)Optional
  AUT-10: Process Date (DTM)Optional
  AUT-11: Authorizing Payor, Plan ID (CWE)Optional
  AUT-12: Authorizing Payor, Company ID (CWE)Optional
  AUT-13: Authorizing Payor, Company Name (CWE)Required
  AUT-14: Authorization Effective Date (CWE)Optional
  AUT-15: Authorization Expiration Date (DTM)Optional
  AUT-16: Authorization Identifier (CWE)Optional
  AUT-17: Reimbursement Limit (ST)Optional
  AUT-18: Requested Number of Treatments (CQ)Optional
  AUT-19: Authorized Number of Treatments (CQ)Optional
  AUT-20: Process Date (CQ)Optional
  AUT-21: Authorizing Payor, Plan ID (CWE)Optional
  AUT-22: Authorizing Payor, Company ID (MO)Optional
  AUT-23: Authorizing Payor, Company Name (XON)Optional
  AUT-24: Authorization Effective Date (XCN)Optional
  AUT-25: Authorization Expiration Date (ST)Optional
  AUT-26: Authorization Identifier (DTM)Optional
  AUT-27: Reimbursement Limit (XTN)Optional
  AUT-28: Requested Number of Treatments (ST)Optional
  AUT-29: Authorized Number of Treatments (ID)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AUT()` Constructs the AUT segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuthorizedDisciplines(CWE objAuthorizedDisciplines)` Add the Authorized Discipline(s).
    `void` | `addAuthorizedDisciplines(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Authorized Discipline(s).
    `void` | `addRequestedDisciplines(CWE objAuthorizedDisciplines)` Add the Requested Discipline(s).
    `void` | `addRequestedDisciplines(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Requested Discipline(s).
    `ID` | `getActionCode()` Retrieves the Action Code.
    `CWE` | `getApprovalStatus()` Retrieves the Approval Status.
    `DTM` | `getAuthorizationEffectiveDate()` Retrieves the Authorization Effective Date.
    `DTM` | `getAuthorizationExpirationDate()` Retrieves the Authorization Expiration Date.
    `EI` | `getAuthorizationIdentifier()` Retrieves the Authorization Identifier.
    `CWE` | `getAuthorizationReferralType()` Retrieves the Authorization Referral Typeentifier.
    `ISingleCollection<CWE>` | `getAuthorizedDisciplines()` Retrieves the Authorized Discipline(s).
    `XCN` | `getAuthorizedHealthProfessional()` Retrieves the Authorized Health Professional.
    `CQ` | `getAuthorizedNumberofTreatments()` Retrieves the Authorized Number of Treatments.
    `XON` | `getAuthorizedProvider()` Retrieves the Authorized Provider.
    `CWE` | `getAuthorizingPayorCompanyID()` Retrieves the Authorizing Pay or Company ID.
    `ST` | `getAuthorizingPayorCompanyName()` Retrieves the Authorizing Pay or Company Name.
    `CWE` | `getAuthorizingPayorPlanID()` Retrieves the Authorizing Pay or Plan ID.
    `CWE` | `getClinicalService()` Retrieves the Clinical Service.
    `ST` | `getComment()` Retrieves the Comment.
    `CWE` | `getEncounterType()` Retrieves the Encounter Type.
    `CQ` | `getNumberOfAuthorizedTreatmentsUnits()` Retrieves the Number of Authorized Treatments/Units.
    `CQ` | `getNumberOfScheduleTreatmentsUnits()` Retrieves the Number of Schedule Treatments/Units.
    `CQ` | `getNumberOfUsedTreatmentsUnits()` Retrieves the Number of Used Treatments/Units.
    `DTM` | `getPlannedTreatmentStopDate()` Retrieves the Planned Treatment Stop Date.
    `DTM` | `getProcessDate()` Retrieves the Process Date.
    `ST` | `getReasonText()` Retrieves the Reason Text.
    `CP` | `getReimbursementLimit()` Retrieves the Reimbursement Limit.
    `MO` | `getRemainingBenefitAmount()` Retrieves the Remaining Benefit Amount.
    `ISingleCollection<CWE>` | `getRequestedDisciplines()` Retrieves the Requested Discipline(s).
    `CQ` | `getRequestedNumberofTreatments()` Retrieves the Requested Number of Treatments.
    `DTM` | `getSourceDate()` Retrieves the Source Date.
    `XTN` | `getSourcePhone()` Retrieves the Source Phone.
    `ST` | `getSourceText()` Retrieves the Source Text.
    `void` | `setActionCode(ID objActionCode)` Set the Action Code.
    `void` | `setActionCode(java.lang.String strActionCode)` Set the Action Code.
    `void` | `setApprovalStatus(CWE objbPUniversalServiceID)` Set the Approval Status.
    `void` | `setApprovalStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Approval Status.
    `void` | `setAuthorizationEffectiveDate(DTM objauthorizationEffectiveDate)` Set the Authorization Effective Date.
    `void` | `setAuthorizationEffectiveDate(java.lang.String strTime)` Set the Authorization Effective Date.
    `void` | `setAuthorizationExpirationDate(DTM objauthorizationExpirationDate)` Set the Authorization Expiration Date.
    `void` | `setAuthorizationExpirationDate(java.lang.String strTime)` Set the Authorization Expiration Date.
    `void` | `setAuthorizationIdentifier(EI objauthorizationIdentifier)` Set the Authorization Identifier.
    `void` | `setAuthorizationIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Authorization Identifier.
    `void` | `setAuthorizationReferralType(CWE objbPUniversalServiceID)` Set the Authorization Referral Type.
    `void` | `setAuthorizationReferralType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Authorization Referral Typeentifier.
    `void` | `setAuthorizedDisciplines(ISingleCollection<CWE> objAuthorizedDisciplinesList)` Set the Authorized Discipline(s).
    `void` | `setAuthorizedHealthProfessional(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Authorized Health Professional.
    `void` | `setAuthorizedHealthProfessional(XCN objAuthorizedHealthProfessional)` Sets the Authorized Health Professional.
    `void` | `setAuthorizedNumberofTreatments(CQ objauthorizedNumberofTreatments)` Set the Authorized Number of Treatments.
    `void` | `setAuthorizedNumberofTreatments(java.lang.String strPolicyLimitDays)` Set the Authorized Number of Treatments.
    `void` | `setAuthorizedProvider(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Authorized Provider.
    `void` | `setAuthorizedProvider(XON objAuthorizedProvider)` Ses the Authorized Provider.
    `void` | `setAuthorizingPayorCompanyID(CWE objauthorizingPayorCompanyID)` Set the Authorizing Pay or Company ID.
    `void` | `setAuthorizingPayorCompanyID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Authorizing Pay or Company ID.
    `void` | `setAuthorizingPayorCompanyName(ST objauthorizingPayorCompanyName)` Set the Authorizing Pay or Company Name.
    `void` | `setAuthorizingPayorCompanyName(java.lang.String strAccidentDecription)` Set the Authorizing Pay or Company Name.
    `void` | `setAuthorizingPayorPlanID(CWE objauthorizingPayorPlanID)` Set the Authorizing Pay or Plan ID.
    `void` | `setAuthorizingPayorPlanID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Authorizing Pay or Plan ID.
    `void` | `setClinicalService(CWE objClinicalService)` Set the Clinical Service.
    `void` | `setClinicalService(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Clinical Service.
    `void` | `setComment(ST objComment)` Set the Comment.
    `void` | `setComment(java.lang.String strComment)` Set the Comment.
    `void` | `setEncounterType(CWE objEncounterType)` Set the Encounter Type.
    `void` | `setEncounterType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Encounter Type.
    `void` | `setNumberOfAuthorizedTreatmentsUnits(CQ objNumberOfAuthorizedTreatmentsUnits)` Set the Number of Authorized Treatments/Units.
    `void` | `setNumberOfAuthorizedTreatmentsUnits(java.lang.String strQuantity, CWE objUnits)` Set the Number of Authorized Treatments/Units.
    `void` | `setNumberOfScheduleTreatmentsUnits(CQ objNumberOfScheduleTreatmentsUnits)` Set the Number of Schedule Treatments/Units.
    `void` | `setNumberOfScheduleTreatmentsUnits(java.lang.String strQuantity, CWE objUnits)` Set the Number of Schedule Treatments/Units.
    `void` | `setNumberOfUsedTreatmentsUnits(CQ objNumberOfUsedTreatmentsUnits)` Set the Number of Used Treatments/Units.
    `void` | `setNumberOfUsedTreatmentsUnits(java.lang.String strQuantity, CWE objUnits)` Set the Number of Used Treatments/Units.
    `void` | `setPlannedTreatmentStopDate(DTM objPlannedTreatmentStopDate)` Set the Planned Treatment Stop Date.
    `void` | `setPlannedTreatmentStopDate(java.lang.String strTime)` Set the Planned Treatment Stop Date.
    `void` | `setProcessDate(DTM objprocessDate)` Set the Process Date.
    `void` | `setProcessDate(java.lang.String strTime)` Set the Process Date.
    `void` | `setReasonText(ST ReasonText)` Set the Reason Text.
    `void` | `setReasonText(java.lang.String strReasonText)` Set the Reason Text.
    `void` | `setReimbursementLimit(CP objreimbursementLimit)` Set the Reimbursement Limit.
    `void` | `setReimbursementLimit(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Reimbursement Limit.
    `void` | `setRemainingBenefitAmount(MO objRemainingBenefitAmount)` Set the Remaining Benefit Amount.
    `void` | `setRemainingBenefitAmount(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Remaining Benefit Amount.
    `void` | `setRequestedDisciplines(ISingleCollection<CWE> objAuthorizedDisciplinesList)` Set the Requested Discipline(s).
    `void` | `setRequestedNumberofTreatments(CQ objrequestedNumberofTreatments)` Set the Requested Number of Treatments.
    `void` | `setRequestedNumberofTreatments(java.lang.String strPolicyLimitDays)` Set the Requested Number of Treatments.
    `void` | `setSourceDate(DTM objSourceDate)` Sets the Source Date.
    `void` | `setSourceDate(java.lang.String strDateTimePlannedEvent)` Set the Source Date.
    `void` | `setSourcePhone(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Source Phone.
    `void` | `setSourcePhone(XTN objXtn)` Sets the Source Phone.
    `void` | `setSourceText(ST objSourceText)` Set the Source Text.
    `void` | `setSourceText(java.lang.String strSourceText)` Set the Source Text.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AUT

          public AUT()

      Constructs the AUT segment.

  - ### Method Detail

    - #### getAuthorizationEffectiveDate

          public DTM getAuthorizationEffectiveDate()

      Retrieves the Authorization Effective Date.
      Returns:
        DTM - authorizationEffectiveDate

    - #### getAuthorizationExpirationDate

          public DTM getAuthorizationExpirationDate()

      Retrieves the Authorization Expiration Date. This field specify the expiration date after which the authorization to treat will no longer be in effect from the perspective of the coverage plan.
      Returns:
        DTM - authorizationExpirationDate

    - #### getAuthorizationIdentifier

          public EI getAuthorizationIdentifier()

      Retrieves the Authorization Identifier. This field specify the field contains the coverage application's permanent identifier assigned to track the authorization and all related billing documents.
      Returns:
        EI - authorizationIdentifier

    - #### getAuthorizedNumberofTreatments

          public CQ getAuthorizedNumberofTreatments()

      Retrieves the Authorized Number of Treatments. This field specify the contains the number of times that the authorized treatment may be administered to the patient without obtaining additional authorization.
      Returns:
        CQ - authorizedNumberofTreatments

    - #### getAuthorizingPayorCompanyID

          public CWE getAuthorizingPayorCompanyID()

      Retrieves the Authorizing Pay or Company ID. This field specify the ID of the insurance company or other entity that administers the authorizing coverage plan.
      Returns:
        CWE - authorizingPayorCompanyID

    - #### getAuthorizingPayorCompanyName

          public ST getAuthorizingPayorCompanyName()

      Retrieves the Authorizing Pay or Company Name. This field specify the name of the insurance company or other entity that administers the authorizing coverage plan.
      Returns:
        ST - authorizingPayorCompanyName

    - #### getAuthorizingPayorPlanID

          public CWE getAuthorizingPayorPlanID()

      Retrieves the Authorizing Pay or Plan ID. This field specify the ID of the coverage plan authorizing treatment.
      Returns:
        CWE - authorizingPayorPlanID

    - #### getProcessDate

          public DTM getProcessDate()

      Retrieves the Process Date. This field specify the date that the authorization originated with the authorizing party.
      Returns:
        DTM - processDate

    - #### getReimbursementLimit

          public CP getReimbursementLimit()

      Retrieves the Reimbursement Limit. This field contains the dollar limit for reimbursement specified by the coverage plan for the authorized treatment.
      Returns:
        CP - reimbursementLimit

    - #### getRequestedNumberofTreatments

          public CQ getRequestedNumberofTreatments()

      Retrieves the Requested Number of Treatments. This field specify the requested number of times that the treatment may be administered to the patient without obtaining additional authorization.
      Returns:
        CQ - requestedNumberofTreatments

    - #### setAuthorizationEffectiveDate

          public void setAuthorizationEffectiveDate(java.lang.String strTime)

      Set the Authorization Effective Date.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setAuthorizationEffectiveDate

          public void setAuthorizationEffectiveDate(DTM objauthorizationEffectiveDate)

      Set the Authorization Effective Date.
      Parameters:
        `objauthorizationEffectiveDate` - object of Authorization Effective Date.

    - #### setAuthorizationExpirationDate

          public void setAuthorizationExpirationDate(java.lang.String strTime)

      Set the Authorization Expiration Date. This field specify the expiration date after which the authorization to treat will no longer be in effect from the perspective of the coverage plan.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setAuthorizationExpirationDate

          public void setAuthorizationExpirationDate(DTM objauthorizationExpirationDate)

      Set the Authorization Expiration Date. This field specify the expiration date after which the authorization to treat will no longer be in effect from the perspective of the coverage plan.
      Parameters:
        `objauthorizationExpirationDate` - object of Authorization Expiration Date.

    - #### setAuthorizationIdentifier

          public void setAuthorizationIdentifier(java.lang.String strEntityIdentifier,
                                        java.lang.String strNamespaceId,
                                        java.lang.String strUniversalId,
                                        java.lang.String strUniversalIdType)

      Set the Authorization Identifier. This field specify the field contains the coverage application's permanent identifier assigned to track the authorization and all related billing documents.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setAuthorizationIdentifier

          public void setAuthorizationIdentifier(EI objauthorizationIdentifier)

      Set the Authorization Identifier. This field specify the field contains the coverage application's permanent identifier assigned to track the authorization and all related billing documents.
      Parameters:
        `objauthorizationIdentifier` - object of Authorization Identifier.

    - #### setAuthorizedNumberofTreatments

          public void setAuthorizedNumberofTreatments(java.lang.String strPolicyLimitDays)

      Set the Authorized Number of Treatments. This field specify the contains the number of times that the authorized treatment may be administered to the patient without obtaining additional authorization.
      Parameters:
        `strPolicyLimitDays` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setAuthorizedNumberofTreatments

          public void setAuthorizedNumberofTreatments(CQ objauthorizedNumberofTreatments)

      Set the Authorized Number of Treatments. This field specify the contains the number of times that the authorized treatment may be administered to the patient without obtaining additional authorization.
      Parameters:
        `objauthorizedNumberofTreatments` - object of Authorized Number of Treatments.

    - #### setRequestedNumberofTreatments

          public void setRequestedNumberofTreatments(java.lang.String strPolicyLimitDays)

      Set the Requested Number of Treatments. This field specify the requested number of times that the treatment may be administered to the patient without obtaining additional authorization.
      Parameters:
        `strPolicyLimitDays` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setRequestedNumberofTreatments

          public void setRequestedNumberofTreatments(CQ objrequestedNumberofTreatments)

      Set the Requested Number of Treatments. This field specify the requested number of times that the treatment may be administered to the patient without obtaining additional authorization.
      Parameters:
        `objrequestedNumberofTreatments` - object of Requested Number of Treatments.

    - #### setAuthorizingPayorCompanyID

          public void setAuthorizingPayorCompanyID(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Authorizing Pay or Company ID. This field specify the ID of the insurance company or other entity that administers the authorizing coverage plan.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAuthorizingPayorCompanyID

          public void setAuthorizingPayorCompanyID(CWE objauthorizingPayorCompanyID)

      Set the Authorizing Pay or Company ID. This field specify the ID of the insurance company or other entity that administers the authorizing coverage plan.
      Parameters:
        `objauthorizingPayorCompanyID` - object of Authorizing Pay or Company ID.

    - #### setAuthorizingPayorPlanID

          public void setAuthorizingPayorPlanID(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Authorizing Pay or Plan ID. This field specify the ID of the coverage plan authorizing treatment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAuthorizingPayorPlanID

          public void setAuthorizingPayorPlanID(CWE objauthorizingPayorPlanID)

      Set the Authorizing Pay or Plan ID. This field specify the ID of the coverage plan authorizing treatment.
      Parameters:
        `objauthorizingPayorPlanID` - object of Authorizing Pay or Plan ID.

    - #### setAuthorizingPayorCompanyName

          public void setAuthorizingPayorCompanyName(java.lang.String strAccidentDecription)

      Set the Authorizing Pay or Company Name. This field specify the name of the insurance company or other entity that administers the authorizing coverage plan.
      Parameters:
        `strAccidentDecription` - Delimiter used as AccidentDecription.

    - #### setAuthorizingPayorCompanyName

          public void setAuthorizingPayorCompanyName(ST objauthorizingPayorCompanyName)

      Set the Authorizing Pay or Company Name. This field specify the name of the insurance company or other entity that administers the authorizing coverage plan.
      Parameters:
        `objauthorizingPayorCompanyName` - object of Authorizing Pay or Company Name.

    - #### setProcessDate

          public void setProcessDate(java.lang.String strTime)

      Set the Process Date. This field specify the date that the authorization originated with the authorizing party.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setProcessDate

          public void setProcessDate(DTM objprocessDate)

      Set the Process Date. This field specify the date that the authorization originated with the authorizing party.
      Parameters:
        `objprocessDate` - object of Process Date.

    - #### setReimbursementLimit

          public void setReimbursementLimit(MO objPrice,
                                   java.lang.String strPriceType,
                                   java.lang.String strFromValue,
                                   java.lang.String strToValue,
                                   CWE objRangeUnits,
                                   java.lang.String strRangeType)

      Set the Reimbursement Limit. This field contains the dollar limit for reimbursement specified by the coverage plan for the authorized treatment.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setReimbursementLimit

          public void setReimbursementLimit(CP objreimbursementLimit)

      Set the Reimbursement Limit. This field contains the dollar limit for reimbursement specified by the coverage plan for the authorized treatment.
      Parameters:
        `objreimbursementLimit` - object of Reimbursement Limit.

    - #### getRequestedDisciplines

          public ISingleCollection<CWE> getRequestedDisciplines()

      Retrieves the Requested Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is requested.
      Returns:
        ISingleCollection - AuthorizedDisciplines

    - #### addRequestedDisciplines

          public void addRequestedDisciplines(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the Requested Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is requested.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRequestedDisciplines

          public void addRequestedDisciplines(CWE objAuthorizedDisciplines)

      Add the Requested Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is requested.
      Parameters:
        `objAuthorizedDisciplines` - Object of Requested Discipline(s).

    - #### setRequestedDisciplines

          public void setRequestedDisciplines(ISingleCollection<CWE> objAuthorizedDisciplinesList)

      Set the Requested Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is requested.
      Parameters:
        `objAuthorizedDisciplinesList` - List of Requested Discipline(s).

    - #### getAuthorizedDisciplines

          public ISingleCollection<CWE> getAuthorizedDisciplines()

      Retrieves the Authorized Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is authorized.
      Returns:
        ISingleCollection - AuthorizedDisciplines

    - #### addAuthorizedDisciplines

          public void addAuthorizedDisciplines(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Add the Authorized Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is authorized.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAuthorizedDisciplines

          public void addAuthorizedDisciplines(CWE objAuthorizedDisciplines)

      Add the Authorized Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is authorized.
      Parameters:
        `objAuthorizedDisciplines` - Object of Authorized Discipline(s).

    - #### setAuthorizedDisciplines

          public void setAuthorizedDisciplines(ISingleCollection<CWE> objAuthorizedDisciplinesList)

      Set the Authorized Discipline(s). Discipline – The scope of medical service(s) for which reimbursement for services rendered is authorized.
      Parameters:
        `objAuthorizedDisciplinesList` - List of Authorized Discipline(s).

    - #### getAuthorizationReferralType

          public CWE getAuthorizationReferralType()

      Retrieves the Authorization Referral Typeentifier. The authorization/referral type distinguishes the content of the segment as pertaining to an authorization vs a referral vs other types.
      Returns:
        CWE - AuthorizationReferralType

    - #### setAuthorizationReferralType

          public void setAuthorizationReferralType(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Authorization Referral Typeentifier. The authorization/referral type distinguishes the content of the segment as pertaining to an authorization vs a referral vs other types.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAuthorizationReferralType

          public void setAuthorizationReferralType(CWE objbPUniversalServiceID)

      Set the Authorization Referral Type. The authorization/referral type distinguishes the content of the segment as pertaining to an authorization vs a referral vs other types.
      Parameters:
        `objbPUniversalServiceID` - Object of Authorization Referral Typeentifier.

    - #### getApprovalStatus

          public CWE getApprovalStatus()

      Retrieves the Approval Status. The authorization/referral approval status indicates that status of an authorization
      Returns:
        CWE - ApprovalStatus

    - #### setApprovalStatus

          public void setApprovalStatus(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Approval Status. The authorization/referral approval status indicates that status of an authorization
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setApprovalStatus

          public void setApprovalStatus(CWE objbPUniversalServiceID)

      Set the Approval Status. The authorization/referral approval status indicates that status of an authorization
      Parameters:
        `objbPUniversalServiceID` - Object of Approval Status.

    - #### getPlannedTreatmentStopDate

          public DTM getPlannedTreatmentStopDate()

      Retrieves the Planned Treatment Stop Date. The authorization planned treatment stop date is the date that the patient's treatment from this authorization is expected to complete, based on procedural protocols.
      Returns:
        DTM - PlannedTreatmentStopDate

    - #### setPlannedTreatmentStopDate

          public void setPlannedTreatmentStopDate(java.lang.String strTime)

      Set the Planned Treatment Stop Date. The authorization planned treatment stop date is the date that the patient's treatment from this authorization is expected to complete, based on procedural protocols.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setPlannedTreatmentStopDate

          public void setPlannedTreatmentStopDate(DTM objPlannedTreatmentStopDate)

      Set the Planned Treatment Stop Date. The authorization planned treatment stop date is the date that the patient's treatment from this authorization is expected to complete, based on procedural protocols.
      Parameters:
        `objPlannedTreatmentStopDate` - Object of Planned Treatment Stop Date.

    - #### getClinicalService

          public CWE getClinicalService()

      Retrieves the Clinical Service. The authorization clinical service provides a means of categorizing the authorization.
      Returns:
        CWE - ClinicalService

    - #### setClinicalService

          public void setClinicalService(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Clinical Service. The authorization clinical service provides a means of categorizing the authorization.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setClinicalService

          public void setClinicalService(CWE objClinicalService)

      Set the Clinical Service. The authorization clinical service provides a means of categorizing the authorization.
      Parameters:
        `objClinicalService` - Object of Clinical Service.

    - #### getReasonText

          public ST getReasonText()

      Retrieves the Reason Text. The authorization reason is a free text field allowing a user to capture, in a non-coded format, the reason for the authorization.
      Returns:
        String - ReasonText

    - #### setReasonText

          public void setReasonText(java.lang.String strReasonText)

      Set the Reason Text. The authorization reason is a free text field allowing a user to capture, in a non-coded format, the reason for the authorization.
      Parameters:
        `strReasonText` - Used as ReasonText.

    - #### setReasonText

          public void setReasonText(ST ReasonText)

      Set the Reason Text. The authorization reason is a free text field allowing a user to capture, in a non-coded format, the reason for the authorization.
      Parameters:
        `ReasonText` - Used as ReasonText.

    - #### getNumberOfAuthorizedTreatmentsUnits

          public CQ getNumberOfAuthorizedTreatmentsUnits()

      Retrieves the Number of Authorized Treatments/Units. The authorized duration is the amount of time, in days or visits, that the patient has been authorized for treatment by this authorization.
      Returns:
        CQ - NumberOfAuthorizedTreatmentsUnits

    - #### setNumberOfAuthorizedTreatmentsUnits

          public void setNumberOfAuthorizedTreatmentsUnits(java.lang.String strQuantity,
                                                  CWE objUnits)

      Set the Number of Authorized Treatments/Units. The authorized duration is the amount of time, in days or visits, that the patient has been authorized for treatment by this authorization.
      Parameters:
        `strQuantity` - Use as Quantity
        `objUnits` - Use as Units

    - #### setNumberOfAuthorizedTreatmentsUnits

          public void setNumberOfAuthorizedTreatmentsUnits(CQ objNumberOfAuthorizedTreatmentsUnits)

      Set the Number of Authorized Treatments/Units. The authorized duration is the amount of time, in days or visits, that the patient has been authorized for treatment by this authorization.
      Parameters:
        `objNumberOfAuthorizedTreatmentsUnits` - Object of Number of Authorized Treatments/Units.

    - #### getNumberOfUsedTreatmentsUnits

          public CQ getNumberOfUsedTreatmentsUnits()

      Retrieves the Number of Used Treatments/Units. The scheduled treatments is the amount of time, in days or visits that the patient has planned treatments scheduled The duration of "days" is reserved for inpatient authorizations. The duration of "days" is reserved for inpatient authorizations.
      Returns:
        CQ - NumberOfUsedTreatmentsUnits

    - #### setNumberOfUsedTreatmentsUnits

          public void setNumberOfUsedTreatmentsUnits(java.lang.String strQuantity,
                                            CWE objUnits)

      Set the Number of Used Treatments/Units. The scheduled treatments is the amount of time, in days or visits that the patient has planned treatments scheduled The duration of "days" is reserved for inpatient authorizations. The duration of "days" is reserved for inpatient authorizations.
      Parameters:
        `strQuantity` - Use as Quantity
        `objUnits` - Use as Units

    - #### setNumberOfUsedTreatmentsUnits

          public void setNumberOfUsedTreatmentsUnits(CQ objNumberOfUsedTreatmentsUnits)

      Set the Number of Used Treatments/Units. The scheduled treatments is the amount of time, in days or visits that the patient has planned treatments scheduled The duration of "days" is reserved for inpatient authorizations. The duration of "days" is reserved for inpatient authorizations.
      Parameters:
        `objNumberOfUsedTreatmentsUnits` - Object of Number of Used Treatments/Units.

    - #### getNumberOfScheduleTreatmentsUnits

          public CQ getNumberOfScheduleTreatmentsUnits()

      Retrieves the Number of Schedule Treatments/Units. The scheduled treatments is the amount of time, in days or visits that the patient has planned treatments scheduled The duration of "days" is reserved for inpatient authorizations.
      Returns:
        CQ - NumberOfScheduleTreatmentsUnits

    - #### setNumberOfScheduleTreatmentsUnits

          public void setNumberOfScheduleTreatmentsUnits(java.lang.String strQuantity,
                                                CWE objUnits)

      Set the Number of Schedule Treatments/Units. The scheduled treatments is the amount of time, in days or visits that the patient has planned treatments scheduled The duration of "days" is reserved for inpatient authorizations.
      Parameters:
        `strQuantity` - Use as Quantity
        `objUnits` - Use as Units

    - #### setNumberOfScheduleTreatmentsUnits

          public void setNumberOfScheduleTreatmentsUnits(CQ objNumberOfScheduleTreatmentsUnits)

      Set the Number of Schedule Treatments/Units. The scheduled treatments is the amount of time, in days or visits that the patient has planned treatments scheduled The duration of "days" is reserved for inpatient authorizations.
      Parameters:
        `objNumberOfScheduleTreatmentsUnits` - Object of Number of Schedule Treatments/Units.

    - #### getEncounterType

          public CWE getEncounterType()

      Retrieves the Encounter Type. The authorization encounter type provides a means of specifying the environment for the performance of the authorized services.
      Returns:
        CWE - EncounterType

    - #### setEncounterType

          public void setEncounterType(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Encounter Type. The authorization encounter type provides a means of specifying the environment for the performance of the authorized services.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEncounterType

          public void setEncounterType(CWE objEncounterType)

      Set the Encounter Type. The authorization encounter type provides a means of specifying the environment for the performance of the authorized services.
      Parameters:
        `objEncounterType` - object of EncounterType

    - #### getRemainingBenefitAmount

          public MO getRemainingBenefitAmount()

      Retrieves the Remaining Benefit Amount. The authorization benefit amount is the amount remaining from the insurance company related to this authorization.
      Returns:
        MO - RemainingBenefitAmount

    - #### setRemainingBenefitAmount

          public void setRemainingBenefitAmount(java.lang.String strQuantity,
                                       java.lang.String strDenomination)

      Set the Remaining Benefit Amount. The authorization benefit amount is the amount remaining from the insurance company related to this authorization.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setRemainingBenefitAmount

          public void setRemainingBenefitAmount(MO objRemainingBenefitAmount)

      Set the Remaining Benefit Amount. The authorization benefit amount is the amount remaining from the insurance company related to this authorization.
      Parameters:
        `objRemainingBenefitAmount` - Object of Remaining Benefit Amount.

    - #### getAuthorizedProvider

          public XON getAuthorizedProvider()

      Retrieves the Authorized Provider. This represents the organization to which the patient was referred to perform the procedure(s).
      Returns:
        XON - AuthorizedProvider

    - #### setAuthorizedProvider

          public void setAuthorizedProvider(java.lang.String strOrganizationName,
                                   CWE objOrganizationNameTypeCode,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strNameRepresentationCode,
                                   java.lang.String strOrganizationIdentifier)

      Set the Authorized Provider. This represents the organization to which the patient was referred to perform the procedure(s).
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setAuthorizedProvider

          public void setAuthorizedProvider(XON objAuthorizedProvider)

      Ses the Authorized Provider. This represents the organization to which the patient was referred to perform the procedure(s).
      Parameters:
        `objAuthorizedProvider` - object of Authorized Provider.

    - #### getAuthorizedHealthProfessional

          public XCN getAuthorizedHealthProfessional()

      Retrieves the Authorized Health Professional. The authorized HP represents the specific health professional authorized to perform the services for the patient.
      Returns:
        XCN - AuthorizedHealthProfessional

    - #### setAuthorizedHealthProfessional

          public void setAuthorizedHealthProfessional(java.lang.String strIDNumber,
                                             FN objFamilyName,
                                             java.lang.String strGivenName,
                                             java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                             java.lang.String strSuffix,
                                             java.lang.String strPrefix,
                                             CWE objSourceTable,
                                             HD objAssigningAuthority,
                                             java.lang.String strNameTypeCode,
                                             java.lang.String strIdentifierCheckDigit,
                                             java.lang.String strCheckDigitScheme,
                                             java.lang.String strIdentifierTypeCode,
                                             HD objAssigningFacility,
                                             java.lang.String strNameRepresentationCode,
                                             CWE objNameContext,
                                             java.lang.String strNameAssemblyOrder,
                                             java.lang.String strEffectiveDate,
                                             java.lang.String strExpirationDate,
                                             java.lang.String strProfessionalSuffix,
                                             CWE objAssigningJurisdiction,
                                             CWE objAssigningAgencyOrDepratment,
                                             java.lang.String strSecurityCheck,
                                             java.lang.String strSecurityCheckScheme)

      Set the Authorized Health Professional. The authorized HP represents the specific health professional authorized to perform the services for the patient.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 03429 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setAuthorizedHealthProfessional

          public void setAuthorizedHealthProfessional(XCN objAuthorizedHealthProfessional)

      Sets the Authorized Health Professional. The authorized HP represents the specific health professional authorized to perform the services for the patient.
      Parameters:
        `objAuthorizedHealthProfessional` - object of Authorized Health Professional.

    - #### getSourceText

          public ST getSourceText()

      Retrieves the Source Text. The source text allows a user to capture information (such as the name) of the person contacted regarding the specific referral.
      Returns:
        String - SourceText

    - #### setSourceText

          public void setSourceText(java.lang.String strSourceText)

      Set the Source Text. The source text allows a user to capture information (such as the name) of the person contacted regarding the specific referral.
      Parameters:
        `strSourceText` - String value of the reason for the action indicated in the IAM-7 - Allergy Action Code field.

    - #### setSourceText

          public void setSourceText(ST objSourceText)

      Set the Source Text. The source text allows a user to capture information (such as the name) of the person contacted regarding the specific referral.
      Parameters:
        `objSourceText` - object of Source Text.

    - #### getSourceDate

          public DTM getSourceDate()

      Retrieves the Source Date. The source date allows a user to capture the date the person was contacted regarding the specific referral.
      Returns:
        DTM - SourceDate

    - #### setSourceDate

          public void setSourceDate(java.lang.String strDateTimePlannedEvent)

      Set the Source Date. The source date allows a user to capture the date the person was contacted regarding the specific referral.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setSourceDate

          public void setSourceDate(DTM objSourceDate)

      Sets the Source Date. The source date allows a user to capture the date the person was contacted regarding the specific referral.
      Parameters:
        `objSourceDate` - object of Source Date.

    - #### getSourcePhone

          public XTN getSourcePhone()

      Retrieves the Source Phone. The source phone number allows a user to capture the phone number of the person contacted regarding the specific referral.
      Returns:
        XTN - Source Phone

    - #### setSourcePhone

          public void setSourcePhone(java.lang.String strTeleCommunicationUseCode,
                            java.lang.String strTeleCommunicationEquipmentType,
                            java.lang.String strCommuinicationAddress,
                            java.lang.String strCountryCode,
                            java.lang.String strAreaCityCode,
                            java.lang.String strLocalNumber,
                            java.lang.String strExtension,
                            java.lang.String strAnyText,
                            java.lang.String strExtensionPrefix,
                            java.lang.String strSpeedDialCode,
                            java.lang.String strUnformattedTelephoneNumber,
                            java.lang.String strEffectiveStartDate,
                            java.lang.String strExpirationDate,
                            CWE objExpirationReason,
                            CWE objProtectionCode,
                            EI objSharedTelecommunicationIdentifier,
                            java.lang.String strPreferenceOrder)

      Set the Source Phone. The source phone number allows a user to capture the phone number of the person contacted regarding the specific referral.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setSourcePhone

          public void setSourcePhone(XTN objXtn)

      Sets the Source Phone. The source phone number allows a user to capture the phone number of the person contacted regarding the specific referral.
      Parameters:
        `objXtn` - object of Source Phone.

    - #### getComment

          public ST getComment()

      Retrieves the Comment. The comment allows for a free text capture of any notes the user wishes to capture related to the referral.
      Returns:
        String - Comment

    - #### setComment

          public void setComment(java.lang.String strComment)

      Set the Comment. The comment allows for a free text capture of any notes the user wishes to capture related to the referral.
      Parameters:
        `strComment` - String value of the reason for the action indicated in the IAM-7 - Allergy Action Code field.

    - #### setComment

          public void setComment(ST objComment)

      Set the Comment. The comment allows for a free text capture of any notes the user wishes to capture related to the referral.
      Parameters:
        `objComment` - object of Comment.

    - #### getActionCode

          public ID getActionCode()

      Retrieves the Action Code. This field defines the action to be taken for this referral.
      Returns:
        ID - ActionCode

    - #### setActionCode

          public void setActionCode(java.lang.String strActionCode)

      Set the Action Code. This field defines the action to be taken for this referral.
      Parameters:
        `strActionCode` - Specifies indicates whether the insurance company requires a written notice of admission from the healthcare provider.[Refer to HL7 table 0136].Suggested Values Y,N.

    - #### setActionCode

          public void setActionCode(ID objActionCode)

      Set the Action Code. This field defines the action to be taken for this referral.
      Parameters:
        `objActionCode` - Specifies indicates whether the insurance company requires a written notice of admission from the healthcare provider.[Refer to HL7 table 0136].Suggested Values Y,N.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.